## org.hibernate.annotations
Annotation Type DiscriminatorOptions

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DiscriminatorOptions

Optional annotation to express Hibernate specific discrimintor properties.

Author:
  Hardy Ferentschik

Optional Element Summary
`boolean` `force` "Forces" Hibernate to specify the allowed discriminator values, even when retrieving all instances of the root class.
`boolean` `insert` Set this to `false`, if your discriminator column is also part of a mapped composite identifier.

### force

    public abstract boolean force

  "Forces" Hibernate to specify the allowed discriminator values, even when retrieving all instances of the root class.

  Returns:
    `true` in case the discriminator value should be forces, `false` otherwise. Default is `false`.
  Default:
    false

### insert

    public abstract boolean insert

  Set this to `false`, if your discriminator column is also part of a mapped composite identifier. It tells Hibernate not to include the column in SQL INSERTs.

  Returns:
    `true` in case the discriminator value should be included in inserts, `false` otherwise. Default is `true`.
  Default:
    true

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.